ncl (6.6.2.dfsg.1-15) unstable; urgency=medium

  * Update libsphere-gfortran to libsphere-gnu. Closes: 1146146
  * Standards-Version: 4.7.4
  * Debhelper compat now level 14

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Sep 2026 11:21:30 +0100

ncl (6.6.2.dfsg.1-12) unstable; urgency=medium

  * gcc-15.patch: Fix FTBFS. Closes: #1097439
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Nov 2025 16:26:36 +0000

ncl (6.6.2.dfsg.1-11) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Build with with HDF 4.3.1. Closes: #1108656

 -- Bastian Germann <bage@debian.org>  Mon, 25 Aug 2025 13:27:04 +0200

ncl (6.6.2.dfsg.1-10) unstable; urgency=medium

  * Rebuild against spherepack 3.3~1-6

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jan 2025 10:12:21 +0000

ncl (6.6.2.dfsg.1-9.1) unstable; urgency=medium

  [ Gilles Filippini ]
  * Add -DH5_USE_110_API to CPPFLAGS to support HDF5 1.14.
    Closes: #1087776

  [ Alastair McKinstry ]
  * Fix dependencies for libncarg-dev and ncarpg.pc. Closes: #991725

 -- Gilles Filippini <pini@debian.org>  Mon, 18 Nov 2024 11:26:56 +0100

ncl (6.6.2.dfsg.1-9) unstable; urgency=medium

  * More work on gcc14.patch; still incomplete
  * Disable incompatible-pointer warnings on 32-bit platforms to allow
    compilation.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Nov 2024 14:45:42 +0000

ncl (6.6.2.dfsg.1-8) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/patches/gcc14.patch: partial fix FTBFS with gcc-14

  [ Alastair McKinstry ]
  * Further fixed to FTBFS. Closes: #1075308

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Aug 2024 16:07:51 +0100

ncl (6.6.2.dfsg.1-7) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Add loongarch64 support. Closes: #1059008
  * Move from pkg-config to pkgconf
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * hdf4-migration.patch for hdf 4.3.0. Closes: #1069845

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Apr 2024 15:14:28 +0100

ncl (6.6.2.dfsg.1-6) unstable; urgency=medium

  * hdf4.3.0 patch was not applied; redo. Closes: #1066408

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 15:17:32 +0100

ncl (6.6.2.dfsg.1-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Build with Option qa=-bug to cope with ancient lack of prototypes
    Closes: #1066408

  [ Bas Couwenberg ]
  * Rebuild with HDF 4.3.0. Closes: #1068387

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 13:15:26 +0200

ncl (6.6.2.dfsg.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063163

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:02:00 +0000

ncl (6.6.2.dfsg.1-4) unstable; urgency=medium

  * Rebuild against libg2c-dev (>= 1.8.0) for transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jan 2024 12:33:07 +0000

ncl (6.6.2.dfsg.1-3) unstable; urgency=medium

  * Drop reference to libgrib2c-dev : now libg2c-dev
  * Drop Build Dep on altas; now obsolete. Closes: #1056679
  * Switch  from ttf-bitstream-vera to fonts-dejavu-core. Closes: #998270

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Nov 2023 11:23:02 +0000

ncl (6.6.2.dfsg.1-2) unstable; urgency=medium

  * Transition B-D libfreetype6-dev to libfreetype-dev
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Jul 2023 15:50:41 +0100

ncl (6.6.2.dfsg.1-1) unstable; urgency=medium

  * DSFG-version, without ncarview/src/lib/libictrans/lex.yy_linux.c
    Closes: #1029035
  * Drop ictrans; no longer builds

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Jan 2023 13:01:49 +0000

ncl (6.6.2-12) unstable; urgency=medium

  * Move from libgrib2c-dev to libg2c-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 May 2022 20:05:27 +0100

ncl (6.6.2-11) unstable; urgency=medium

  * Fix FTBFS on riscv64, thanks to Bo YU. Closes: #1010056

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Apr 2022 15:05:17 +0100

ncl (6.6.2-10) unstable; urgency=medium

  * iftran-fix.patch: Hack to pre-generate Fortran code via Iftran to avoid
    Iftran gcc bug on i386. Closes: #993992

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Sep 2021 15:43:18 +0100

ncl (6.6.2-9) unstable; urgency=medium

  * Fix proj.patch: Force use of /usr/include/proj.h in TransformCoordinate.c
    to avoid version in hdf-eos5 include path

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Sep 2021 19:07:05 +0100

ncl (6.6.2-8) unstable; urgency=medium

  * Add proj 8.0 support
  * Set gfortran flags for >=9. Closes: #984251
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Feb 2021 19:37:11 +0000

ncl (6.6.2-7) unstable; urgency=medium

  * Fix broken symlinks. Closes: #986460

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Apr 2021 14:56:37 +0100

ncl (6.6.2-6) unstable; urgency=medium

  * Typo in d/rules breaks mipsel build
  * Point Vcs-Git in d/control to debian/latest

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2020 09:31:42 +0100

ncl (6.6.2-5) unstable; urgency=medium

  * Fix regression: *.a included in both -dev pkgs. Closes: #970654

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Sep 2020 14:59:55 +0100

ncl (6.6.2-4) unstable; urgency=medium

  * Don't call dwz on mipsel: causes FTBFS

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Sep 2020 10:10:49 +0100

ncl (6.6.2-3) unstable; urgency=medium

  * Use external spherepack lib now it has double-precision support
  * Set d/gbp.conf to point to the new DEP-14 branch names
  * Ensure fortran/$(FC) page is in libdir path in d/rules
  * Fix bug in gfortran-10 conditional that FTBFS. Closes: #966872
  * patch gcc10.patch for invalid BOZ constants. 
  * Move to debhelper level 13
  * Add -Wl,-z,muldefs , needed for stricter ld linking
  * Add d/not-installed; install extra manpages due to dh_missing audit

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Sep 2020 21:38:22 +0100

ncl (6.6.2-2) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use debhelper-compat (=12)
  * Use external spherepack lib
  * Drop flang dependency for now 
  * Enable -fallow-invalid-boz,  -fallow-argument-mismatch 
    with gfortran-10. Closes: #957583
  * Drop obsolete libxgks-dev in d/control 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 May 2020 14:49:03 +0100

ncl (6.6.2-1) unstable; urgency=medium

  * New upstream release
  * drop-mod-file.patch to compile
  * format-security.patch to fix format-security errors
  * Build-Depend on gfortran | fortran-compiler
  * Change fortran compiler refs in d/rules to f95
  * Set fortran flags (no-range-check, etc.) for gfortran only in d/rules
  * Remove hard-coded 'xz'compression
  * Set ACCEPT_USE_OF_DEPRECATED_PROJ_API_H=1 in CFLAGS for proj 6.0.0
    transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Jun 2019 11:07:04 +0100

ncl (6.5.0-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Ship *.names files in libncarg-data. LP: #1808217
  * Sanitise build paths in scripts for bit-reprodubcibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 09:46:03 +0000

ncl (6.5.0-1) unstable; urgency=medium

  * New upstream release
  * Add watch file.
  * Standards-Version: 4.2.1
  * Add ksh dependenccy to libncarg-data
  * Remove obsolete Pre-Depends on lib package

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Nov 2018 13:58:35 +0000

ncl (6.4.0-10) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Build against libgctp-2.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jun 2018 10:42:20 +0100

ncl (6.4.0-9) unstable; urgency=medium

  * Fix FTBFBS ;  condition giving error exit. Closes: #892311

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Mar 2018 08:22:47 +0000

ncl (6.4.0-8) unstable; urgency=medium

  * Temporarily conditionally install some optional files that may not be
    built on mips64el. Closes: #892154

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Mar 2018 06:50:07 +0000

ncl (6.4.0-7) unstable; urgency=medium

  * Fix regression on supported-archs.patch for mips, s390

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Mar 2018 18:09:17 +0000

ncl (6.4.0-6) unstable; urgency=medium

  * Default to libblas-dev, not libopenblas-dev, as it makes many archs
    unnstallable.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Mar 2018 09:02:58 +0000

ncl (6.4.0-5) unstable; urgency=medium

  * Use libhdf5-dev instead of transitional libhdf5-serial-dev
  * Standards-Version: 4.1.3; no changes required
  * Use libopenblas on more archs as available
  * Fix needed for hppa, kfreebsd (+hppa?) support. Closes: #850104
  * Move VCS to salsa.debian.org
  * Remove obsolete compiler-fix.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 17:09:59 +0000

ncl (6.4.0-4) unstable; urgency=medium

  * Drop libatlas-dev build-depend. Closes: #871715
  * Standards-Version: 4.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Aug 2017 11:44:18 +0100

ncl (6.4.0-3) unstable; urgency=medium

  * Set ncl-ncarg as Multi-Arch: foreign
  * Fix manpage errors (thanks Lint.)  
  * Set ksh paths to /bin/ksh in scripts. (ksh.patch)
  * Ensure all ksh scripts are executable
  * Move all ksh scripts to libncarg-dev examples (not -data package)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2017 16:26:39 +0100

ncl (6.4.0-2) experimental; urgency=medium

  * Fix version number in pc file
  * Standards-Version: 4.0.0; no changes required
  * Add gbp.conf file
  * Debhelper compat=10
  * Patch: ensure triple2grid.f compiled -fPIC

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2017 12:22:31 +0100

ncl (6.4.0-1) experimental; urgency=medium

  * New upstream release
     - Patch needed to not link explicitly to libiconv
  * Add libgdl-dev build-dependency

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Apr 2017 16:11:56 +0100

ncl (6.3.0-13) unstable; urgency=medium

  * Add ncl Desktop, icon files

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Dec 2016 15:09:13 +0000

ncl (6.3.0-12) unstable; urgency=medium

  * Add libfl-dev as B-D as flex no longer depends on it. Closes: #846444

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2016 09:22:12 +0000

ncl (6.3.0-11) unstable; urgency=medium

  * Conditionally depend on openblas. Closes: #86191

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Aug 2016 12:03:52 +0100

ncl (6.3.0-10) unstable; urgency=medium

  * Preferentially use openblas not blas
  * Allow -fdebug-prefix-map in CFLAGS (change sed in rules). Closes: #832011

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Aug 2016 10:33:28 +0100

ncl (6.3.0-9) unstable; urgency=medium

  * Fix udunits path. Closes: #829702
  * Standards-Version: 3.9.8. No changes required.
  * Ack. previously fixed bug. Closes: #809716.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Jul 2016 14:33:25 +0100

ncl (6.3.0-8) unstable; urgency=medium

  * Rebuild against libgdal-dev for gdal2.0 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Mar 2016 07:50:52 +0000

ncl (6.3.0-7) unstable; urgency=medium

  * Add -lsz to the static libraries needed in ncarg.pc
  * Move libncl.a to $LIBDIR/ncarg/libncl.a. Closes: #813972.
  * Change ncargpath lib to $LIBDIR/ncarg and add .so
  * Change $lib to /usr/lib/$arch/ncarg in config/Project
  * Add B-D on libmotif-dev for Motif support.
  * Standards-Version: 3.9.7. No changes required
  * Drop linking against jasper as it is being removed from Debian.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Feb 2016 21:01:26 +0000

ncl (6.3.0-6) unstable; urgency=medium

  * Typo in depends: ncl-narg -> ncl-ncarg. Closes: #810682.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jan 2016 15:40:31 +0000

ncl (6.3.0-5) unstable; urgency=medium

  * Build with libpng-dev. Closes: #810193.
  * B-D on libaec-dev, link against libsz for szip compression
  * libncarg-dev should depend on ncl-ncarg for ncargpath.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2016 06:53:52 +0000

ncl (6.3.0-4) unstable; urgency=medium

  * reproducible.patch: remove timestamps to make build reproducible

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Nov 2015 11:57:25 +0000

ncl (6.3.0-4~exp2) experimental; urgency=medium

  * Move /etc/bash_completions.d/* to new /usr/share/bash_completions 
  * Install DEBIAN link earlier before configuration.
  * Remove '-ansi' to fix FTBFS on mips*.
 
 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Aug 2015 16:25:19 +0100

ncl (6.3.0-4~exp1) experimental; urgency=medium

   * Install DEBIAN config file correctly for building on non-Linux systems.
   * Build against hdf-eos4 what uses libhdf4-alt-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Aug 2015 04:18:15 +0100

ncl (6.3.0-3) experimental; urgency=medium

  * Enable libnetcdff-dev for transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Jul 2015 17:22:17 +0100

ncl (6.3.0-3~exp1) unstable; urgency=medium

  * Use canonical anonscm.debian.org URL scheme. 
  * Update VERSION to 6.3.0 in debian/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2015 10:05:22 +0100

ncl (6.3.0-2) unstable; urgency=medium

  * Build-Depend on libgdal-dev not libgdal1-dev, for gdal-2.0.0 transition.
    Closes: #789489
  * Add Vcs-Git: to debian/control; debian-science repo. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jun 2015 15:33:45 +0100

ncl (6.3.0-1) unstable; urgency=medium

  * New upstream release
  * security.patch: removed, changes now upstream
  * deblibs patch from  Tyson Whitehead for Missing text on plots.
    Closes: #787652
  * Include PlotcharData in libncarg-data package. Closes: #785547

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jun 2015 20:50:24 +0100

ncl (6.2.0-3) unstable; urgency=medium

  * Change libjpeg8 -> libjpeg in debian/control. Closes: #763485.
  * Now at Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Oct 2014 07:46:56 +0100

ncl (6.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756686).

 -- Gilles Filippini <pini@debian.org>  Tue, 05 Aug 2014 19:56:38 +0200

ncl (6.2.0-2) unstable; urgency=medium

  * libproj-dev now needed explicitly. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Jul 2014 21:07:13 +0100

ncl (6.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Build sphere3.1_dp first to ensure its always present when needed.
    Closes: #753231.
  * Build with atlas rather than base lapack, blas.
  * Use xz compression.
  * Add symlink $NCARG_ROOT/lib/ncarg -> /usr/share/ncarg fix references
    in scripts to non-FHS directory locations.  LP: #1329691.
  * Patch needed for compiler issue under examination in _NGResolvePath()
    compiler_fix.patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Jul 2014 13:05:44 +0100

ncl (6.1.2-7) unstable; urgency=medium

  * Add support for kFreeBSD, Hurd to support-archs.patch 
  * Add support for aarch64 to support-archs.patch. Closes: #742467.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Mar 2014 11:02:41 +0000

ncl (6.1.2-6) unstable; urgency=medium

  * proj library not needed. Drop references in config/Project.
  * Fix library references and refactor patches to fix FTBFS.
    Closes: #733003.
  * Fix bash_completion.d ; wrong file installed. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Feb 2014 15:56:27 +0000

ncl (6.1.2-5) unstable; urgency=medium

  * Don't redirect output to tty in ymake; breaks on FreeBSD, not 
    guaranteed anywhere.
  * Build executables with shared libraries, fPIC as otherwise fPIE doesn't
    work on amd64.
  * Add flex, bison build-dependencies to generate wrapit.  
  * Build by setting RootPath rather than $(DESTDIR)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jan 2014 10:22:17 +0000

ncl (6.1.2-4) unstable; urgency=medium

   * Enforce building libraries first, as build-order via makefile
     not reliable.
  * Add -I/usr/include/mpi when building when libhdf-mpi-dev rather than
    serial. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Jan 2014 11:40:02 +0000

ncl (6.1.2-3) unstable; urgency=medium

  * Depend on gfortran, libxt-dev
  * Add dependency on fonts-lyx for cms*ttf fonts, rather than shipping them. 
  * tty_patch: don't use /dev/tty directly in ymake as it breaks on kFreeBSD.
  * manpages_patch: Fix (some) lintian warnings on whatis entries, hyphens
    More to do next year.
  * link_pie_prog.patch: Link Programs with -fPIE, immediate binding, 
    for hardening.
  * Add sonames, hardening to shared libraries.
  * Now needs security.patch to fix false alarms after hardening enabled.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Dec 2013 19:41:22 +0000

ncl (6.1.2-2) unstable; urgency=medium

  * Add tcsh | csh | c-shell as Build-Dependency. Closes: #733033.
    Also as dep for binary packages.
  * Label libncarg-data as Multi-Arch: foreign. 
  * Move to Standards-Version: 3.9.5. No changes required. 
  * libncarg-bin is now Multi-Arch: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Dec 2013 16:29:09 +0000

ncl (6.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #531982)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Oct 2013 01:31:40 +0000
